---
title: Console.profile()
slug: Web/API/Console/profile
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Non-standard
  - Reference
  - Web Development
  - profile
  - web console
---
<p>{{APIRef("Console API")}}{{Non-standard_header}}</p>

<p>Starts recording a performance profile (for example, the <a href="/en-US/docs/Tools/Performance">Firefox performance tool</a>).</p>

<p>You can optionally supply an argument to name the profile and this then enables you to stop only that profile if multiple profiles being recorded. See {{domxref("Console.profileEnd()")}} to see how this argument is interpreted.</p>

<p>To stop recording call {{domxref("Console.profileEnd()")}}.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.profile(<em>profileName</em>);
</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>profileName</code></dt>
 <dd>The name to give the profile. Optional.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.profile")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Console.profileEnd()")}}</li>
</ul>
